package com.oqpo.api.web.dto.request.loanmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class EasypayPaymentRequest {

    @ApiModelProperty(value = "결제창 요청구분", required = true)
    private String EP_tr_cd;
    @ApiModelProperty(value = "추적번호", required = true)
    private String EP_trace_no;
    @ApiModelProperty(value = "가맹점 주문번호", required = true)
    private String EP_order_no;
    @ApiModelProperty(value = "가맹점 ID", required = true)
    private String EP_mall_id;
    @ApiModelProperty(value = "암호화 전문", required = true)
    private String EP_encrypt_data;
    @ApiModelProperty(value = "세션키", required = true)
    private String EP_sessionkey;
    @ApiModelProperty(value = "거래구분", required = true)
    private String mgr_txtype;
    @ApiModelProperty(value = "변경세부구분", required = false)
    private String mgr_subtype;
    @ApiModelProperty(value = "원거래고유번호", required = true)
    private String org_cno;
    @ApiModelProperty(value = "금액", required = false)
    private String mgr_amt;
    @ApiModelProperty(value = "부분취소 잔액", required = false)
    private String mgr_rem_amt;
    @ApiModelProperty(value = "환불계좌 은행코드", required = false)
    private String mgr_bank_cd;
    @ApiModelProperty(value = "환불계좌 번호", required = false)
    private String mgr_account;
    @ApiModelProperty(value = "환불계좌 예금주명", required = false)
    private String mgr_depositor;
    @ApiModelProperty(value = "요청자 ID", required = false)
    private String req_id;

    @ApiModelProperty(value = "원거래번호", required = true)
    private String org_payment_no;

    @ApiModelProperty(value = "결제창 요청구분(모바일)", required = true)
    private String sp_tr_cd;
    @ApiModelProperty(value = "추적번호(모바일)", required = true)
    private String sp_trace_no;
    @ApiModelProperty(value = "가맹점 주문번호(모바일)", required = true)
    private String sp_order_no;
    @ApiModelProperty(value = "가맹점 ID(모바일)", required = true)
    private String sp_mall_id;
    @ApiModelProperty(value = "암호화 전문(모바일)", required = true)
    private String sp_encrypt_data;
    @ApiModelProperty(value = "세션키(모바일)", required = true)
    private String sp_sessionkey;

}
